<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PlanningConfig StructType
 * @subpackage Structs
 */
class PlanningConfig extends AbstractStructBase
{
    /**
     * The Items
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPlanningConfigItem
     */
    public $Items;
    /**
     * Constructor method for PlanningConfig
     * @uses PlanningConfig::setItems()
     * @param \ArrayType\ArrayOfPlanningConfigItem $items
     */
    public function __construct(\ArrayType\ArrayOfPlanningConfigItem $items = null)
    {
        $this
            ->setItems($items);
    }
    /**
     * Get Items value
     * @return \ArrayType\ArrayOfPlanningConfigItem|null
     */
    public function getItems()
    {
        return $this->Items;
    }
    /**
     * Set Items value
     * @param \ArrayType\ArrayOfPlanningConfigItem $items
     * @return \StructType\PlanningConfig
     */
    public function setItems(\ArrayType\ArrayOfPlanningConfigItem $items = null)
    {
        $this->Items = $items;
        return $this;
    }
}
